$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.27.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.27.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A656D70E231AAF15493F3A57075C5DA16FCD081E1F7E70BE9E26FC828F3E880C'
  checksumType = 'sha256'
  checksum64 = 'A656D70E231AAF15493F3A57075C5DA16FCD081E1F7E70BE9E26FC828F3E880C'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.24.27-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
